package com.ruoyi.frequency.banner.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.frequency.banner.entity.Banner;

import java.util.List;

/**
 * 轮播图Service接口
 * 
 * @author liwenlong
 * @date 2023-07-20
 */
public interface BannerService extends IService<Banner>
{
    /**
     * 查询轮播图
     * 
     * @param id 轮播图主键
     * @return 轮播图
     */
    Banner selectBannerById(Long id);

    /**
     * 查询轮播图列表
     * 
     * @param banner 轮播图
     * @return 轮播图集合
     */
    List<Banner> selectBannerList(Banner banner);

    /**
     * 新增轮播图
     * 
     * @param banner 轮播图
     * @return 结果
     */
    int insertBanner(Banner banner);

    /**
     * 修改轮播图
     * 
     * @param banner 轮播图
     * @return 结果
     */
    int updateBanner(Banner banner);

    /**
     * 批量删除轮播图
     * 
     * @param ids 需要删除的轮播图主键集合
     * @return 结果
     */
    int deleteBannerByIds(Long[] ids,Integer delFlag);

    /**
     * 删除轮播图信息
     * 
     * @param id 轮播图主键
     * @return 结果
     */
    int deleteBannerById(Long id);
}
